APTITUDE(8)

NAZWA
aptitude - interfejs wysokiego poziomu dla menedżera pakietów.

SKŁADNIA
aptitude [ -S plik ] [ -u | -i ] aptitude [ opcje ] [ update | upgrade | forget-new | clean | autoclean ] aptitude [ opcje ] [ remove | hold | purge | markauto | unmarkauto | dist-upgrade ] pakiety... aptitude [ opcje ] search wzorce... aptitude [ opcje ] download pakiety...

OPIS
aptitude jest tekstowym interfejsem do systemu pakietów dystrybucji Debian GNU/Linux. Pozwala użytkownikowi przeglądać listę pakietów i wykonywać zadania związane z zarządzaniem nimi, takie jak instalowanie, uaktualnianie czy usuwanie. Zadania te można wykonywać w trybie interaktywnym lub z wiersza poleceń.

WIERSZ POLECEŃ
Pierwszy argument nie zaczynający się znakiem minus ("-") jest traktowany jako akcja, którą ma wykonać program. Jeśli akcja nie zostanie podana w wierszu poleceń aptitude startuje w trybie interaktywnym. Dostępne są następujące akcje:

install
    Instaluje pakiety. Nazwy pakietów należy podać po poleceniu "install". Nazwy zawierające znak "~" będą traktowane jak wzorce wyszukiwania i spowodują zainstalowanie wszystkich pasujących pakietów. Dodanie na końcu nazwy znaku "-", "+", "_" lub "=" spowoduje, że pakiety zostaną odpowiednio usunięte, zainstalowane, wyczyszczone lub wstrzymane. Można to wykorzystać na przykład do przeprowadzenia z wiersza poleceń wielu różnych akcji na raz. Jako szczególny przypadek, "install" bez dodatkowych argumentów przeprowadzi wszystkie zaplanowane wcześniej akcje. UWAGA: Polecenie "install" modyfikuje zapisane informacje o zaplanowanych akcjach. Dlatego po wydaniu komendy "aptitude install foo bar" i przerwaniu następnie instalacji należy uruchomić np. "aptitude remove foo bar" aby odwołać to polecenie.

remove, purge, hold
    Te polecenia działają podobnie do "install", ale wykonują odpowiednio usunięcie, wyczyszczenie lub wstrzymanie pakietów o ile nie podano inaczej. (Na przykład "aptitude remove '~ndeity'" usunie wszystkie pakiety, których nazwa zawiera ciąg "deity".)

markauto, unmarkauto
    Zaznaczają pakiety jako odpowiednio automatycznie lub ręcznie zainstalowane. Można podawać pakiety korzystając z tej samej składni co dla poprzednich poleceń, włączjąc w to specyfikację akcji do wykonania. Na przykład "aptitude markauto '~slibs'" zaznaczy wszystkie pakiety w sekcji "libs" jako zainstalowane automatycznie.

update
    Uaktualnia listę dostępnych pakietów danymi z serwerów. (Równoważne "apt-get update".)

upgrade
    Uaktualnia zainstalowane pakiety do najnowszych wersji. Zainstalowane pakiety nie są usuwane, chyba, że nie są używane. Żadne niezainstalowane pakiety nie są instalowane. Jeśli pakietu nie można uaktualnić bez naruszania tych ograniczeń nie zostaje uaktualniony.

forget-new
    Usuwa informacje, które pakiety są nowe (równoważne wciśnięciu "f" w trybie interaktywnym).

search
    Wyszukuje pakiety pasujące do wzorców podanych po poleceniu. Zostaną wypisane wszystkie pakiety pasujące do tych wzorców. Na przykład "aptitude search '~N'" pokaże wszystkie nowe pakiety.

clean
    Usuwa wszystkie pobrane pliki pakietów.

autoclean
    Usuwa pobrane pliki pakietów, które nie są już dostępne.

download
    Pobiera do bieżącego katalogu plik .deb najnowszej wersji podanego pakietu.

Następujące argumenty zaczynające się od znaku minus określają akcje dla trybu interaktywnego. Są one jednak używane wewnętrznie przez program i nie powinna zajść potrzeba samodzielnego ich podawania.

-S plik
    Wczytuje z pliku rozszerzone informacje o stanie.

-u  Bezpośrednio po starcie programu rozpoczyna uaktualnianie listy pakietów. Nie można używać tej opcji oraz -i jednocześnie.

-i  Bezpośrednio po starcie programu wyświetla ekran pobierania plików (równoważne uruchomieniu programu i wciśnięciu "g"). Nie można używać tej opcji oraz -u jednocześnie.

OPCJE
Następujące opcje modyfikują działanie powyższych poleceń. Nie każde polecenie respektuje wszystkie opcje (wiele opcji nie miałoby sensu w połączeniu z pewnymi poleceniami). Wiele opcji jest powiązanych z dyrektywami pliku konfiguracyjnego. Umieszczenie odpowiedniej dyrektywy w /etc/apt/apt.conf lub ~/.aptitude/config spowoduje, że aptitude zawsze będzie działać tak, jakby opcja została podana.

-h, --help
    Wyświetla krótki tekst pomocy.

--version
    Wyświetla numer wersji programu i informacje o środowisku kompilacji.

-s, --simulate
    Wypisuje akcje, które zostałyby wykonane, bez ich rzeczywistego przeprowadzania. Nie są wymagane uprawnienia administratora. W pliku konfiguracyjnym: Aptitude::CmdLine::Simulate.

-d, --download-only
    Tylko pobiera pakiety, bez ich instalacji czy usuwania. W pliku konfiguracyjnym: Aptitude::CmdLine::Download-Only

-P, --prompt
    Zawsze wyświetla pytanie o potwierdzenie, nawet gdy nie są wykonywane żadne dodatkowe akcje. W pliku konfiguracyjnym: Aptitude::CmdLine::Always-Prompt

-y, --assume-yes
    Przyjmuje odpowiedź "tak" na pytania typu tak/nie. Nie wpływa na potwierdzenia szczególnie niebezpiecznych akcji, takich jak usuwanie istotnych (Essential) pakietów. Ma pierwszeństwo nad -P. W pliku konfiguracyjnym: Aptitude::CmdLine::Assume-Yes

-F format, --display-format format
    Określa format wyświetlania wyników polecenia search. Na przykład "%p %V %v" spowoduje wypisywanie nazwy pakietu, jego zainstalowanej wersji i jego najnowszej dostępnej wersji. (Sekcja "COLUMNS" podręcznika zawiera więcej informacji). W pliku konfiguracyjnym: Aptitude::CmdLine::Package-Display-Format

-w szerokość, --width szerokość
    Określa szerokość wyświetlania wyników polecenia search. (Domyślnie jest używana szerokość terminala.) W pliku konfiguracyjnym: Aptitude::CmdLine::Package-Display-Width

-f  Agesywnie próbuje naprawić niespełnione zależności. W pliku konfiguracyjnym: Aptitude::CmdLine::Fix-Broken

--with-recommends, --with-suggests
    Powodują traktowanie odpowiednio rekomendacji i sugestii jako zależności przy instalowaniu nowych pakietów. (Mają pierwszeństwo nad ustawieniami w /etc/apt/apt.conf i ~/.aptitude/config.) W pliku konfiguracyjnym: Aptitude::Recommends-Important, Aptitude::Suggests-Important

--without-recommends, --without-suggests
    Wyłączają traktowanie odpowiednio rekomendacji i sugestii jako zależności przy instalowaniu nowych pakietów.

TRYB INTERAKTYWNY
Standardowo w trybie interaktywnym aptitude udostępnia następujące klawisze i polecenia:

q   Zamyka aktualny kontekst zapisując zmiany.

x   Zamyka aktualny kontekst bez zapisywania zmian.

?   Wyświetla ekran pomocy.

Góra, k
    Przesuwa kursor o jedną pozycję w górę.

Dół, j
    Przesuwa kursor o jedną pozycję w dół.

^   Przesuwa kursor do elementu nadrzędnego.

Enter
    Zwija lub rozwija grupę pakietów.

[   Rozwija całe poddrzewo pakietów.

]   Zwijja całe poddrzewo pakietów.

Enter, i
    Wyświetla informacje o pakiecie.

+   Zaznacza pakiet do instalacji lub uaktualnienia albo przywraca możliwość uaktualnienia wstrzymanego pakietu.

-   Zaznacza pakiet do usunięcia.

=   Wstrzymuje uaktualnienia pakietu.

_   Zaznacza pakiet do wyczyszczenia (usunięcia wraz z plikami konfiguracyjnymi).

L   Zaznacza pakiet do reinstalacji.

u   Uaktualnia listę dostępnych pakietów.

g   Wykonuje wszystkie instalacje, uaktualnienia i usunięcia pakietów.

Control-u
    Cofa ostatnią akcję lub grupę akcji.

/   Wyszukuje pakiety.

\   Powtarza ostatnie wyszukiwanie.

D   Wyświetla/ukrywa dodatkowy obszar informacyjny.

v   Wyświetla dostępne wersje pakietu.

d   Wyświetla zależności pakietu.

r   Wyświetla pakiety zależące od danego pakietu.

a   Przewija rozszerzony opis w górę.

z   Przewija rozszerzony opis w dół.

ZOBACZ TAKŻE
apt-get(1), apt(8), /usr/share/doc/aptitude/README.

AUTOR
Ta strona podręcznika systemowego została napisana przez Daniela Burrowsa <dburrows@debian.org>.